#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N,L,i;
    scanf("%d",&N);
    scanf("%d",&L);
    int H[N];
    for(i=0;i<N;i++)
    {
        scanf("%d",&H[i]);
        if(H[i]<=L)
        {
            printf("%d",i+1);
            break;
        }
    }
    if(i==N)
    {
        i=-1;
        printf("%d",i);
    }
    return 0;
}